// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

public interface HeartbeatDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.messaging.dtos.HeartbeatDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string service_id = 1;</code>
   */
  java.lang.String getServiceId();
  /**
   * <code>optional string service_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getServiceIdBytes();

  /**
   * <code>optional string service_type = 2;</code>
   */
  java.lang.String getServiceType();
  /**
   * <code>optional string service_type = 2;</code>
   */
  com.google.protobuf.ByteString
      getServiceTypeBytes();

  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  java.util.List<com.accelfin.server.messaging.dtos.OperationConfigDto> 
      getOperationConfigDtosList();
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  com.accelfin.server.messaging.dtos.OperationConfigDto getOperationConfigDtos(int index);
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  int getOperationConfigDtosCount();
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  java.util.List<? extends com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder> 
      getOperationConfigDtosOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.messaging.dtos.OperationConfigDto operation_config_dtos = 3;</code>
   */
  com.accelfin.server.messaging.dtos.OperationConfigDtoOrBuilder getOperationConfigDtosOrBuilder(
      int index);

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  boolean hasTimestamp();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getTimestamp();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto timestamp = 4;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getTimestampOrBuilder();

  /**
   * <code>optional int32 service_load = 5;</code>
   */
  int getServiceLoad();
}
